Arduino

Reference Language | Libraries | Comparison | Changes

SD

## remove()

#### Description

Remove a file from the SD card.

#### Syntax

SD.remove(filename)

#### Parameters

filename: the name of the file to remove, which can include directories (delimited by forward-slashes, /)

#### Returns

true if the removal of the file succeeded, false if not. (if the file didn't exist, the return value is unspecified)

#### See also

- rmdir()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes